> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://devin.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://devin.ferndocs.com/_mcp/server.

# Get Devin ACU limits

GET https://api.devin.ai/v3/enterprise/consumption/acu-limits/devin

Get all org-level Devin ACU limits for this enterprise.

Reference: https://devin.ferndocs.com/api-reference/v-3/get-devin-acu-limits

## Authentication

- `Authorization` header (bearer token, required) — Personal API Key (apk_user_*) or Service API Key (apk_*)

## Request

### Query parameters

- `after` (string, optional, nullable)
- `first` (integer, optional, default: 100)

## Response

### 200

Successful Response

- `items` (list of ACULimitResponse, required)
- `end_cursor` (string, optional, nullable) — Cursor to fetch the next page, or None if this is the last page.
- `has_next_page` (boolean, optional, default: false) — Whether there are more items available after this page.
- `total` (integer, optional, nullable) — Optional total count (can be omitted for performance).

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### ACULimitResponse

- `cycle_acu_limit` (integer, required)
- `scope` (enum, required)
  - Allowed values: `enterprise`, `org`, `user`
- `org_id` (string, optional, nullable)
- `user_id` (string, optional, nullable)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItems

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "items": [
    {
      "cycle_acu_limit": 5000,
      "scope": "enterprise",
      "org_id": "org_12345abcde",
      "user_id": null
    },
    {
      "cycle_acu_limit": 1200,
      "scope": "org",
      "org_id": "org_67890fghij",
      "user_id": null
    },
    {
      "cycle_acu_limit": 300,
      "scope": "user",
      "org_id": null,
      "user_id": "user_98765zyxwv"
    }
  ],
  "end_cursor": "cursor_9f8b7a6d",
  "has_next_page": true,
  "total": 3
}
```

**SDK Code**

```python
import requests

url = "https://api.devin.ai/v3/enterprise/consumption/acu-limits/devin"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.devin.ai/v3/enterprise/consumption/acu-limits/devin';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.devin.ai/v3/enterprise/consumption/acu-limits/devin"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.devin.ai/v3/enterprise/consumption/acu-limits/devin")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.devin.ai/v3/enterprise/consumption/acu-limits/devin")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.devin.ai/v3/enterprise/consumption/acu-limits/devin', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.devin.ai/v3/enterprise/consumption/acu-limits/devin");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.devin.ai/v3/enterprise/consumption/acu-limits/devin")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```